#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA772_SU1E
int16_t G3539_i_AllocatedMemoryBlockCount;
int16_t G3540_;


unsigned char* F1650_AllocateMemory(unsigned long P5481_ul_ByteCount, int16_t L5226_i_Requirements) {
        unsigned char* L5223_puc_Buffer;


        if ((++G3539_i_AllocatedMemoryBlockCount > 20) & (1 > G3540_++)); /* Useless code */
        L5223_puc_Buffer = (unsigned char*)Malloc(P5481_ul_ByteCount);
        return L5223_puc_Buffer;
}

void F1651_FreeMemory(unsigned char* P5482_puc_Buffer) {
        Mfree(P5482_puc_Buffer);
        G3539_i_AllocatedMemoryBlockCount--;
}

int16_t F1652_GetAllocatedMemoryBlockCount(
)
{
        return G3539_i_AllocatedMemoryBlockCount;
}

void F1653_ConvertCoordinates(int16_t* P5091_pi_Box_XYWH, int16_t* P5092_pi_Box_XXYY) {
        P5092_pi_Box_XXYY[0] = P5091_pi_Box_XYWH[0];
        P5092_pi_Box_XXYY[2] = P5091_pi_Box_XYWH[1];
        P5092_pi_Box_XXYY[1] = P5091_pi_Box_XYWH[0] + P5091_pi_Box_XYWH[2] - 1;
        P5092_pi_Box_XXYY[3] = P5091_pi_Box_XYWH[1] + P5091_pi_Box_XYWH[3] - 1;
}

void F1654_Unreferenced(
)
{
}
#endif
